<?php
/**
 * Jungle Safari functions and definitions
 * @package Jungle Safari
 */
 /* Breadcrumb Begin */
 function jungle_safari_the_breadcrumb() {
 	if (!is_home()) {
 		echo '<a href="';
 			echo esc_url( home_url() );
 		echo '">';
 			bloginfo('name');
 		echo "</a> / ";
 		if (is_category() || is_single()) {
 			the_category('/');
 			if (is_single()) {
 				echo "/ <span> ";
 					the_title();
 				echo "</span> ";
 			}
 		} elseif (is_page()) {
 			echo "<span> ";
 				the_title();
 		}
 	}
 }
/* Theme Setup */
if ( ! function_exists( 'jungle_safari_setup' ) ) :

function jungle_safari_setup() {
	
	$GLOBALS['content_width'] = apply_filters( 'jungle_safari_content_width', 640 );

	load_theme_textdomain( 'jungle-safari', get_template_directory() . '/languages' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'align-wide' );
	add_theme_support( 'wp-block-styles' );
	add_theme_support( 'woocommerce' );
	add_theme_support( 'wc-product-gallery-zoom' );
    add_theme_support( 'wc-product-gallery-slider' );
	add_theme_support( 'title-tag' );
	add_theme_support( 'custom-logo', array(
		'height'      => 80,
		'width'       => 80,
		'flex-height' => true,
	) );
	add_image_size('jungle-safari-homepage-thumb',240,145,true);

	register_nav_menus( array(
		'primary' => __( 'Primary Menu', 'jungle-safari' ),
	) );

	add_theme_support( 'custom-background', array(
		'default-color' => 'f1f1f1'
	) );

	add_theme_support( 'post-formats', array('image','video','gallery','audio',) );

	add_theme_support( 'html5', array(
		'comment-form',
		'comment-list',
		'gallery',
		'caption',
	) );

	add_theme_support('responsive-embeds');
	/*
	 * This theme styles the visual editor to resemble the theme style,
	 * specifically font, colors, icons, and column width.
	 */
	add_editor_style( array( 'css/editor-style.css', jungle_safari_font_url() ) );
}
endif; // jungle_safari_setup
add_action( 'after_setup_theme', 'jungle_safari_setup' );

if ( ! function_exists( 'jungle_safari_credit' ) ) {
	function jungle_safari_credit(){
		echo '<a href="' . esc_url(JUNGLE_SAFARI_CREDIT) . '" target="_blank" rel="noopener noreferrer">' . esc_html__('Jungle Safari WordPress Theme', 'jungle-safari') . '</a>';

	}
}

/* Theme Widgets Setup */
function jungle_safari_widgets_init() {
	register_sidebar( array(
		'name'          => __( 'Blog Sidebar', 'jungle-safari' ),
		'description'   => __( 'Appears on posts and pages', 'jungle-safari' ),
		'id'            => 'sidebar-1',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Posts and Pages Sidebar', 'jungle-safari' ),
		'description'   => __( 'Appears on posts and pages', 'jungle-safari' ),
		'id'            => 'sidebar-2',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Third Column Sidebar', 'jungle-safari' ),
		'description'   => __( 'Appears on posts and pages', 'jungle-safari' ),
		'id'            => 'sidebar-3',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	//Footer widget areas
	$jungle_safari_widget_areas = get_theme_mod('jungle_safari_footer_widget_areas', '4');
	for ($jungle_safari_i=1; $jungle_safari_i <= 4; $jungle_safari_i++) {
		register_sidebar( array(
			'name'          => __( 'Footer Widget ', 'jungle-safari' ) . $jungle_safari_i,
			'id'            => 'footer-' . $jungle_safari_i,
			'description'   => '',
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>',
		) ); 
	}

	register_sidebar( array(
		'name'          => __( 'Shop Page Sidebar', 'jungle-safari' ),
		'description'   => __( 'Appears on shop page', 'jungle-safari' ),
		'id'            => 'woocommerce_sidebar',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Single Product Page Sidebar', 'jungle-safari' ),
		'description'   => __( 'Appears on single product page', 'jungle-safari' ),
		'id'            => 'woocommerce-single-sidebar',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );
}
add_action( 'widgets_init', 'jungle_safari_widgets_init' );

// edit
if (!function_exists('jungle_safari_edit_link')) :

    function jungle_safari_edit_link($view = 'default')
    {
    global $post;
        edit_post_link(
            sprintf(
                wp_kses(
                /* translators: %s: Name of current post. Only visible to screen readers */
                    __('Edit <span class="screen-reader-text">%s</span>', 'jungle-safari'),
                    array(
                        'span' => array(
                            'class' => array(),
                        ),
                    )
                ),
                get_the_title()
            ),
            '<span class="edit-link"><i class="fa-solid fa-pen mx-2"></i>',
            '</span>'
        );
    }
endif;

/* Theme Font URL */
function jungle_safari_font_url() {
	$font_family   = array(
		'Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Bad Script',
		'Bebas Neue',
		'Fjalla One',
		'PT Sans:ital,wght@0,400;0,700;1,400;1,700',
		'PT Serif:ital,wght@0,400;0,700;1,400;1,700',
		'Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900',
		'Roboto Condensed:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700',
		'Alex Brush',
		'Overpass:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Playball',
		'Alegreya:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900',
		'Julius Sans One',
		'Arsenal:ital,wght@0,400;0,700;1,400;1,700',
		'Slabo 13px',
		'Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900',
		'Overpass Mono:wght@300;400;500;600;700',
		'Source Sans Pro:ital,wght@0,200;0,300;0,400;0,600;0,700;0,900;1,200;1,300;1,400;1,600;1,700;1,900',
		'Raleway:ital,wght@0,100..900;1,100..900',
		'Merriweather:ital,wght@0,300;0,400;0,700;0,900;1,300;1,400;1,700;1,900',
		'Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Lora:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700',
		'Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700',
		'Cabin:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700',
		'Arimo:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700',
		'Playfair Display:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900',
		'Padauk:wght@400;700',
		'Inconsolata:wght@200;300;400;500;600;700;800;900&family=Mulish:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;0,1000;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900;1,1000',
		'Bitter:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Mulish:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;0,1000;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900;1,1000',
		'Pacifico',
		'Indie Flower',
		'VT323',
		'Dosis:wght@200;300;400;500;600;700;800',
		'Frank Ruhl Libre:wght@300;400;500;700;900',
		'Fjalla One',
		'Figtree:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Oxygen:wght@300;400;700',
		'Arvo:ital,wght@0,400;0,700;1,400;1,700',
		'Noto Serif:ital,wght@0,400;0,700;1,400;1,700',
		'Lobster',
		'Crimson Text:ital,wght@0,400;0,600;0,700;1,400;1,600;1,700',
		'Yanone Kaffeesatz:wght@200;300;400;500;600;700',
		'Anton',
		'Libre Baskerville:ital,wght@0,400;0,700;1,400',
		'Bree Serif',
		'Gloria Hallelujah',
		'Abril Fatface',
		'Varela Round',
		'Vampiro One',
		'Shadows Into Light',
		'Cuprum:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700',
		'Rokkitt:wght@100;200;300;400;500;600;700;800;900',
		'Vollkorn:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900',
		'Francois One',
		'Orbitron:wght@400;500;600;700;800;900',
		'Patua One',
		'Acme',
		'Satisfy',
		'Josefin Slab:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700',
		'Quattrocento Sans:ital,wght@0,400;0,700;1,400;1,700',
		'Architects Daughter',
		'Russo One',
		'Monda:wght@400;700',
		'Righteous',
		'Lobster Two:ital,wght@0,400;0,700;1,400;1,700',
		'Hammersmith One',
		'Courgette',
		'Permanent Marke',
		'Cherry Swash:wght@400;700',
		'Cormorant Garamond:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700',
		'Poiret One',
		'BenchNine:wght@300;400;700',
		'Economica:ital,wght@0,400;0,700;1,400;1,700',
		'Handlee',
		'Cardo:ital,wght@0,400;0,700;1,400',
		'Alfa Slab One',
		'Averia Serif Libre:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700',
		'Cookie',
		'Chewy',
		'Great Vibes',
		'Coming Soon',
		'Philosopher:ital,wght@0,400;0,700;1,400;1,700',
		'Days One',
		'Kanit:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Shrikhand',
		'Tangerine:wght@400;700',
		'IM Fell English SC',
		'Boogaloo',
		'Bangers',
		'Fredoka One',
		'Volkhov:ital,wght@0,400;0,700;1,400;1,700',
		'Shadows Into Light Two',
		'Marck Script',
		'Sacramento',
		'Unica One',
		'Dancing Script:wght@400;500;600;700',
		'Exo 2:ital,wght@0,100..900;1,100..900',
		'Archivo:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'DM Serif Display:ital@0;1',
		'Open Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800',
		'Jost:ital,wght@0,100..900;1,100..900',
		'Mulish:ital,wght@0,200..1000;1,200..1000',
		'Quicksand:wght@300..700',
		'ABeeZee',
		'Sen:wght@400..800',
		'Instrument Sans:ital,wght@0,400;0,500;0,600;0,700;0;1,400;1,500;1,600;1,700;1',
		'Permanent Marker'
	);

	$query_args = array(
		'family'	=> rawurlencode(implode('|',$font_family)),
	);
	$fonts_url = add_query_arg( $query_args, 'https://fonts.googleapis.com/css' );
	if ( function_exists( 'print_on_demand_shop_wptt_get_webfont_url' ) ) {
		return print_on_demand_shop_wptt_get_webfont_url( esc_url_raw( $fonts_url ) );
	}
	return esc_url_raw( $fonts_url );
}

/* Theme enqueue scripts */
function jungle_safari_scripts() {
	wp_enqueue_style( 'jungle-safari-font', jungle_safari_font_url(), array() );
	wp_enqueue_style( 'jungle-safari-bootstrap-css', get_template_directory_uri() . '/css/bootstrap.css');
	// blocks-css
	wp_enqueue_style( 'jungle-safari-block-style', get_theme_file_uri('/css/blocks.css') );
	wp_style_add_data( 'jungle-safari-style', 'rtl', 'replace' );	
	wp_enqueue_style( 'jungle-safari-basic-style', get_stylesheet_uri() );
	wp_enqueue_style( 'jungle-safari-font-awesome-css', get_template_directory_uri().'/css/fontawesome-all.css' );
	if (get_theme_mod('jungle_safari_sidebar_animation', true) == true){
		wp_enqueue_script( 'jungle-safari-jquery-wow', get_template_directory_uri() . '/js/wow.js', array('jquery') );
		wp_enqueue_style( 'jungle-safari-animate-css', get_template_directory_uri().'/css/animate.css' );
    }
	// body
	$jungle_safari_body_color       = get_theme_mod('jungle_safari_body_color', '');
	$jungle_safari_body_font_family = get_theme_mod('jungle_safari_body_font_family', '');
	$jungle_safari_body_font_size   = get_theme_mod('jungle_safari_body_font_size', '');
	$jungle_safari_body_font_weight   = get_theme_mod('jungle_safari_body_font_weight', '');	
			
	// Paragraph
	$jungle_safari_paragraph_color       = get_theme_mod('jungle_safari_paragraph_color', '');
	$jungle_safari_paragraph_font_family = get_theme_mod('jungle_safari_paragraph_font_family', '');
	$jungle_safari_paragraph_font_size   = get_theme_mod('jungle_safari_paragraph_font_size', '');
	$jungle_safari_paragraph_font_weight   = get_theme_mod('jungle_safari_paragraph_font_weight', '');
	// "a" tag
	$jungle_safari_atag_color       = get_theme_mod('jungle_safari_atag_color', '');
	$jungle_safari_atag_font_family = get_theme_mod('jungle_safari_atag_font_family', '');
	// "li" tag
	$jungle_safari_li_color       = get_theme_mod('jungle_safari_li_color', '');
	$jungle_safari_li_font_family = get_theme_mod('jungle_safari_li_font_family', '');
	// H1
	$jungle_safari_h1_color       = get_theme_mod('jungle_safari_h1_color', '');
	$jungle_safari_h1_font_family = get_theme_mod('jungle_safari_h1_font_family', '');
	$jungle_safari_h1_font_size   = get_theme_mod('jungle_safari_h1_font_size', '');
	$jungle_safari_h1_font_weight   = get_theme_mod('jungle_safari_h1_font_weight', '');
	// H2
	$jungle_safari_h2_color       = get_theme_mod('jungle_safari_h2_color', '');
	$jungle_safari_h2_font_family = get_theme_mod('jungle_safari_h2_font_family', '');
	$jungle_safari_h2_font_size   = get_theme_mod('jungle_safari_h2_font_size', '');
	$jungle_safari_h2_font_weight   = get_theme_mod('jungle_safari_h2_font_weight', '');
	// H3
	$jungle_safari_h3_color       = get_theme_mod('jungle_safari_h3_color', '');
	$jungle_safari_h3_font_family = get_theme_mod('jungle_safari_h3_font_family', '');
	$jungle_safari_h3_font_size   = get_theme_mod('jungle_safari_h3_font_size', '');
	$jungle_safari_h3_font_weight   = get_theme_mod('jungle_safari_h3_font_weight', '');
	// H4
	$jungle_safari_h4_color       = get_theme_mod('jungle_safari_h4_color', '');
	$jungle_safari_h4_font_family = get_theme_mod('jungle_safari_h4_font_family', '');
	$jungle_safari_h4_font_size   = get_theme_mod('jungle_safari_h4_font_size', '');
	$jungle_safari_h4_font_weight   = get_theme_mod('jungle_safari_h4_font_weight', '');
	// H5
	$jungle_safari_h5_color       = get_theme_mod('jungle_safari_h5_color', '');
	$jungle_safari_h5_font_family = get_theme_mod('jungle_safari_h5_font_family', '');
	$jungle_safari_h5_font_size   = get_theme_mod('jungle_safari_h5_font_size', '');
	$jungle_safari_h5_font_weight   = get_theme_mod('jungle_safari_h5_font_weight', '');
	// H6
	$jungle_safari_h6_color       = get_theme_mod('jungle_safari_h6_color', '');
	$jungle_safari_h6_font_family = get_theme_mod('jungle_safari_h6_font_family', '');
	$jungle_safari_h6_font_size   = get_theme_mod('jungle_safari_h6_font_size', '');
	$jungle_safari_h6_font_weight   = get_theme_mod('jungle_safari_h6_font_weight', '');

	$jungle_safari_custom_css = '
		body{
		    color:'.esc_html($jungle_safari_body_color).'!important;
		    font-family: '.esc_html($jungle_safari_body_font_family).';
		    font-size: '.esc_html($jungle_safari_body_font_size).'px;
			font-weight: '.esc_html($jungle_safari_body_font_weight).'!important;
		}
		p,span{
		    color:'.esc_html($jungle_safari_paragraph_color).'!important;
		    font-family: '.esc_html($jungle_safari_paragraph_font_family).';
		    font-size: '.esc_html($jungle_safari_paragraph_font_size).'px !important;
			font-weight: '.esc_html($jungle_safari_paragraph_font_weight).'!important;
		}
		a{
		    color:'.esc_html($jungle_safari_atag_color).'!important;
		    font-family: '.esc_html($jungle_safari_atag_font_family).';
		}
		li{
		    color:'.esc_html($jungle_safari_li_color).'!important;
		    font-family: '.esc_html($jungle_safari_li_font_family).';
		}
		h1{
		    color:'.esc_html($jungle_safari_h1_color).'!important;
		    font-family: '.esc_html($jungle_safari_h1_font_family).'!important;
		    font-size: '.esc_html($jungle_safari_h1_font_size).'px!important;
			font-weight: '.esc_html($jungle_safari_h1_font_weight).'!important;	
		}
		h2{
		    color:'.esc_html($jungle_safari_h2_color).'!important;
		    font-family: '.esc_html($jungle_safari_h2_font_family).'!important;
		    font-size: '.esc_html($jungle_safari_h2_font_size).'px!important;
			font-weight: '.esc_html($jungle_safari_h2_font_weight).'!important;
		}
		h3{
		    color:'.esc_html($jungle_safari_h3_color).'!important;
		    font-family: '.esc_html($jungle_safari_h3_font_family).'!important;
		    font-size: '.esc_html($jungle_safari_h3_font_size).'px!important;
			font-weight: '.esc_html($jungle_safari_h3_font_weight).'!important;
		}
		h4{
		    color:'.esc_html($jungle_safari_h4_color).'!important;
		    font-family: '.esc_html($jungle_safari_h4_font_family).'!important;
		    font-size: '.esc_html($jungle_safari_h4_font_size).'px!important;
			font-weight: '.esc_html($jungle_safari_h4_font_weight).'!important;
		}
		h5{
		    color:'.esc_html($jungle_safari_h5_color).'!important;
		    font-family: '.esc_html($jungle_safari_h5_font_family).'!important;
		    font-size: '.esc_html($jungle_safari_h5_font_size).'px!important;
			font-weight: '.esc_html($jungle_safari_h5_font_weight).'!important;
		}
		h6{
		    color:'.esc_html($jungle_safari_h6_color).'!important;
		    font-family: '.esc_html($jungle_safari_h6_font_family).'!important;
		    font-size: '.esc_html($jungle_safari_h6_font_size).'px!important;
			font-weight: '.esc_html($jungle_safari_h6_font_weight).'!important;
		}
	';
	wp_add_inline_style('jungle-safari-basic-style', $jungle_safari_custom_css);

	/* Theme Color sheet */
	require get_parent_theme_file_path( '/theme-color-option.php' );
	wp_add_inline_style( 'jungle-safari-basic-style',$jungle_safari_custom_css );
	wp_enqueue_script( 'jungle-safari-tether-js', get_template_directory_uri() . '/js/tether.js', array('jquery') ,'1.3.3',true);
	wp_enqueue_script( 'jungle-safari-bootstrap-js', get_template_directory_uri() . '/js/bootstrap.js', array('jquery') ,'5.0.0',true);
	wp_enqueue_script( 'jungle-safari-custom-scripts-jquery', (get_template_directory_uri()) . '/js/custom.js', array('jquery') );
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'jungle_safari_scripts' );

function jungle_safari_theme_setup() {
	define('JUNGLE_SAFARI_LIVE_DEMO',__('https://demos.buywptemplates.com/jungle-safari-pro/', 'jungle-safari'));
	define('JUNGLE_SAFARI_BUY_PRO',__('https://www.buywptemplates.com/products/safari-wordpress-theme', 'jungle-safari'));
	define('JUNGLE_SAFARI_PRO_DOC',__('https://demos.buywptemplates.com/demo/docs/jungle-safari-pro/', 'jungle-safari'));
	define('JUNGLE_SAFARI_FREE_DOC',__('https://demos.buywptemplates.com/demo/docs/jungle-safari/', 'jungle-safari'));
	define('JUNGLE_SAFARI_PRO_SUPPORT',__('https://buywptemplates.com/pages/community', 'jungle-safari'));
	define('JUNGLE_SAFARI_FREE_SUPPORT',__('https://wordpress.org/support/theme/jungle-safari/', 'jungle-safari'));
	define('JUNGLE_SAFARI_REVIEW',__('https://wordpress.org/support/theme/jungle-safari/reviews/', 'jungle-safari'));	
	define('JUNGLE_SAFARI_CREDIT',__('https://www.buywptemplates.com/products/jungle-safari', 'jungle-safari'));
}
add_action( 'after_setup_theme', 'jungle_safari_theme_setup' );

/* Excerpt Limit Begin */
function jungle_safari_string_limit_words($string, $word_limit) {
	$words = explode(' ', $string, ($word_limit + 1));
	if(count($words) > $word_limit)
	array_pop($words);
	return implode(' ', $words);
}

/*radio button sanitization*/
function jungle_safari_sanitize_choices( $jungle_safari_input, $setting ) {
    global $wp_customize;
    $control = $wp_customize->get_control( $setting->id );
    if ( array_key_exists( $jungle_safari_input, $control->choices ) ) {
        return $jungle_safari_input;
    } else {
        return $setting->default;
    }
}

function jungle_safari_sanitize_checkbox( $jungle_safari_input ) {
	// Boolean check
	return ( ( isset( $jungle_safari_input ) && true == $jungle_safari_input ) ? true : false );
}

/* Integer sanitization */
if ( ! function_exists( 'jungle_safari_sanitize_integer' ) ) {
	function jungle_safari_sanitize_integer( $jungle_safari_input ) {
		return (int) $jungle_safari_input;
	}
}

// Change number or products per row to 4
add_filter('loop_shop_columns', 'jungle_safari_loop_columns');
if (!function_exists('jungle_safari_loop_columns')) {
	function jungle_safari_loop_columns() {
		$jungle_safari_columns = get_theme_mod( 'jungle_safari_per_columns', 4 );
		return $jungle_safari_columns; // 4 products per row
	}
}

//Change number of products that are displayed per page (shop page)
add_filter( 'loop_shop_per_page', 'jungle_safari_shop_per_page', 20 );
function jungle_safari_shop_per_page( $jungle_safari_cols ) {
  	$cols = get_theme_mod( 'jungle_safari_product_per_page', 12 );
	return $cols;
}

//Display the related posts
if ( ! function_exists( 'jungle_safari_related_posts' ) ) {
	function jungle_safari_related_posts() {
		wp_reset_postdata();
		global $post;
		$args = array(
			'no_found_rows'          => true,
			'update_post_meta_cache' => false,
			'update_post_term_cache' => false,
			'ignore_sticky_posts'    => 1,
			'orderby'                => 'rand',
			'post__not_in'           => array( $post->ID ),
			'posts_per_page'         => absint( get_theme_mod( 'jungle_safari_related_posts_count_number', '3' ) ),
		);
		// Categories
		if ( get_theme_mod( 'jungle_safari_related_posts_taxanomies', 'categories' ) == 'categories' ) {

			$cats = get_post_meta( $post->ID, 'related-posts', true );

			if ( ! $cats ) {
				$cats                 = wp_get_post_categories( $post->ID, array( 'fields' => 'ids' ) );
				$args['category__in'] = $cats;
			} else {
				$args['cat'] = $cats;
			}
		}
		// Tags
		if ( get_theme_mod( 'jungle_safari_related_posts_taxanomies', 'categories' ) == 'tags' ) {

			$tags = get_post_meta( $post->ID, 'related-posts', true );

			if ( ! $tags ) {
				$tags            = wp_get_post_tags( $post->ID, array( 'fields' => 'ids' ) );
				$args['tag__in'] = $tags;
			} else {
				$args['tag_slug__in'] = explode( ',', $tags );
			}
			if ( ! $tags ) {
				$break = true;
			}
		}
		$query = ! isset( $break ) ? new WP_Query( $args ) : new WP_Query();
		return $query;
	}
}

function jungle_safari_enable_post_featured_image(){
	if(get_theme_mod('jungle_safari_post_featured_image') == 'Image' ) {
		return true;
	}
	return false;
}

function jungle_safari_post_color_enabled(){
	if(get_theme_mod('jungle_safari_post_featured_image') == 'Color' ) {
		return true;
	}
	return false;
}

function jungle_safari_enable_post_image_custom_dimention(){
	if(get_theme_mod('jungle_safari_post_featured_image_dimention') == 'Custom' ) {
		return true;
	}
	return false;
}

function jungle_safari_enable_single_post_image_custom_dimention(){
	if(get_theme_mod('jungle_safari_single_post_featured_image_dimention') == 'Custom' ) {
		return true;
	}
	return false;
}

function jungle_safari_show_post_color(){
	if(get_theme_mod('jungle_safari_post_featured_image') == 'Color' ) {
		return true;
	}
	return false;
}

// Reset all theme settings
function jungle_safari_reset_demo_import_settings() {
    if (current_user_can('manage_options')) {
        // List only demo import-related settings to reset
		remove_theme_mod('jungle_safari_header_btn_text');
		remove_theme_mod('jungle_safari_header_btn_url');
		remove_theme_mod('jungle_safari_banner_hide');
		remove_theme_mod('jungle_safari_banner_small_title');
		remove_theme_mod('jungle_safari_banner_title');
		remove_theme_mod('jungle_safari_banner_desc_text');
		remove_theme_mod('jungle_safari_banner_btn_text');
		remove_theme_mod('jungle_safari_banner_btn_url');
		remove_theme_mod('jungle_safari_video_button_url');
		remove_theme_mod('jungle_safari_video_bg_img');
		remove_theme_mod('jungle_safari_banner_bottom_image1');
		remove_theme_mod('jungle_safari_banner_bottom_image2');
		remove_theme_mod('jungle_safari_banner_side_image');
		remove_theme_mod('jungle_safari_section_title');
		remove_theme_mod('jungle_safari_section_description');
		remove_theme_mod('jungle_safari_select_post_number');
		remove_theme_mod('jungle_safari_footer_text');

        wp_send_json_success(array('message' => __('Demo import settings have been reset.', 'jungle-safari')));
    } else {
        wp_send_json_error(array('message' => __('Permission denied.', 'jungle-safari')));
    }
}
add_action('wp_ajax_jungle_safari_reset_demo_import_settings', 'jungle_safari_reset_demo_import_settings'); 

/* Implement the Custom Header feature. */
require get_template_directory() . '/inc/custom-header.php';

/* Custom template tags for this theme. */
require get_template_directory() . '/inc/template-tags.php';

/* Load Customizer file. */
require get_template_directory() . '/inc/customizer.php';

/* Load Customizer file. */
require get_template_directory() . '/wptt-webfont-loader.php';

/* Load welcome message.*/
require get_template_directory() . '/inc/dashboard/get_started_info.php';

/* TGM */
require get_template_directory() . '/inc/tgm/tgm.php';

